---
title: "Prefill smart fields"
url: "https://docs.signnow.com/docs/smart-fields/operations/prefill-smart-fields"
type: "endpoint"
section: "smart-fields"
slug: "smart-fields/operations/prefill-smart-fields"
method: "POST"
path: "/document/{document_id}/integration/object/smartfields"
operation_id: "prefill-smart-fields"
authorization: "bearer"
---

# Prefill smart fields

`POST /document/{document_id}/integration/object/smartfields`

Prefills smart fields.

**Note:** names of smart fields are case-sensitive.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_id` | string | Yes |  |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "data",
    "client_timestamp"
  ],
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "field_name1": {
            "type": "string"
          },
          "field_name2": {
            "type": "string"
          }
        }
      }
    },
    "client_timestamp": {
      "type": "string"
    }
  }
}
```

**Example** (`application/json`)

```json
{
  "data": [
    {
      "field_name1": "value1"
    },
    {
      "field_name2": "value2"
    }
  ],
  "client_timestamp": "UTC time stamp"
}
```

## Responses

### 200

**Example** (`application/json`)

```json
{
  "status": "success"
}
```

### 400

Bad Request

**Example** (`Document not found`)

```json
{
  "code": 65582,
  "message": "Document not found"
}
```

**Example** (`Invalid Authorization`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

**Example** (`Field invite not found`)

```json
{
  "code": 66502,
  "message": "Field invite not found"
}
```

**Example** (`Authentication type must not be empty`)

```json
{
  "code": 65536,
  "message": "authentication type must not be empty"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/document/{document_id}/integration/object/smartfields" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"data": [{"field_name1": "value1"}, {"field_name2": "value2"}], "client_timestamp": "UTC time stamp"}'
```

---
*Full reference: https://docs.signnow.com/docs/smart-fields/operations/prefill-smart-fields*
